Jump to content

[Resolved] Error Banner ver 6.1.4


peterp
 Share

Recommended Posts

Hi All,

        I'm getting an error banner when I enter cubecart that states that we are not using the curent version, as we have just started with our version we will upgrade later but we would like this banner to be stopped from displaying, I believe the file that needs to be changed is /admin/sources/dashboard.index.inc.php but my code skills are not up scratch for this simple change so could somebody direct me into the correct change please

Much appreciated

Peterp

 

Link to comment
Share on other sites

Hi all,

Has anybody been successful in restricting this warning message in the Admin dashboard. It is creating some anguish with one of my newest clients who have just recently implemented ver 6.1.4 and are not ready to go through an upgrade just yet.

Any help with regards to hiding this warning would be very musch appreciated

Best Regards,

Peterp

Link to comment
Share on other sites

To supress this message, in /admin/sources/dashboard.index.inc.php:

Near line 51, find:

$GLOBALS['main']->setACPWarning(sprintf($lang['dashboard']['error_version'], CC_VERSION, $history[0]['version']));

Change to:

// Database schema check:: $GLOBALS['main']->setACPWarning(sprintf($lang['dashboard']['error_version'], CC_VERSION, $history[0]['version']));

Near lines 95-96, find:

## Check current version
if (!$GLOBALS['session']->has('version_check') && $request = new Request('www.cubecart.com', '/version-check/'.CC_VERSION)) {

Change to:

## Check current version
if (false && !$GLOBALS['session']->has('version_check') && $request = new Request('www.cubecart.com', '/version-check/'.CC_VERSION)) {

The first change stops CubeCart from sending the message about the database not matching CubeCart's version to the error banner system. This change is probably not necessary as if the database is at CC614's schema, there wouldn't be an error message.

The second change stops all the checking for new versions: of CubeCart and all the extensions installed.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...